services:
  couchdb:
    image: couchdb
    restart: unless-stopped
    environment:
      - COUCHDB_USER=admin
      - COUCHDB_PASSWORD=admin
    ports:
      - 5984:5984
    networks:
      - database
      - frontend
    volumes:
      - couchdb-data:/opt/couchdb/data
    secrets:
      - couchdb-password
 
volumes:
  couchdb-data:
secrets:
  couchdb-password:
    file: couchdb-password.txt
